• Bertrand Lorentz's avatar
    Update for dbus-sharp 0.8.1 & dbus-sharp-glib 0.6 · 37f949bc
    Bertrand Lorentz authored
    We now require both dbus-sharp 0.8.1 and dbus-sharp-glib 0.6.
    
    Switching to >=0.8 dbus-sharp was necessary as a first step
    towards fixing bgo#630110 ("Get single instance and remote
    control working on Win32"). But it's rather better to already
    require 0.8.1 instead of 0.8, because 0.8 had regressions (see
    bgo#725446).
    
    These new versions of these dependencies have API/ABI breaks, so
    then their version in their pc files is raised from 1.0 to 2.0.
    
    Switching to these versions allow us to also make some cleanups:
    
    We were using an obsolete Bus.Session.Register which required a bus
    name, and it's now gone. This allows us to remove some
    DBusServiceManager.RegisterObject overloads that become unnecessary.
    
    As an additional consequence, we don't need the DBusExportable attribute
    anymore. It was used by classes implementing IDBusExportable to indicate
    their service name, which was then used for the bus name.
    37f949bc
Name
Last commit
Last update
..
metrics Loading commit data...
scripts Loading commit data...
Makefile.am Loading commit data...
README.releasing Loading commit data...
YeOldeChangeLog Loading commit data...
banshee-gather-debug Loading commit data...
create-authors Loading commit data...
create-contributors-paragraph Loading commit data...
create-release-notes Loading commit data...
make-release Loading commit data...
make-release-osx Loading commit data...
metrics.py Loading commit data...
perf-analyze-log Loading commit data...